petsc-3.12.1 2019-10-22
Report Typos and Errors

# PCHMGUseMatMAIJ

Set a flag that indicates if or not to use MatMAIJ for interpolations for saving memory

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCHMGUseMatMAIJ(PC pc, PetscBool usematmaij)

Logically Collective on PC

### Input Parameters

| pc | - the HMG context
| usematmaij | - if or not to use MatMAIJ for interpolations. By default, it is true for saving memory

### Options Database Keys

-pc_hmg_use_matmaij -<true | false >

### Keywords

HMG, multigrid, interpolation, coarsening, MatMAIJ

### See Also

PCHMG, PCType

### Level

beginner

### Location

src/ksp/pc/impls/hmg/hmg.c

### Examples

src/ksp/ksp/examples/tutorials/ex4.c.html

### Implementations

PCHMGUseMatMAIJ_HMG in src/ksp/pc/impls/hmg/hmg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages